Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83770

Summary: anacron should not be run on resume if not an enabled service
Product: [Fedora] Fedora Reporter: Stan Tazuma <stanley.k.tazuma>
Component: apmdAssignee: Zdenek Prikryl <zprikryl>
Status: CLOSED RAWHIDE QA Contact: Jay Turner <jturner>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: srevivo
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-07 14:31:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Stan Tazuma 2003-02-08 02:12:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
/etc/sysconfig/apm-scripts/apmscript
will start anacron if a machine is resumed
from a suspended state, even though the
anacron service is disabled.

On my laptop I normally disable all
cron-related services.  If the anacron
service is disabled, it should never be
started unless I choose to run it manually.

The apmscript should check to see if the
anacron service is enabled before running
anacron.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  use ntsysv (or equiv.) to disable anacron service
2.  put the machine in suspend mode (apm --suspend)
3.  resume the machine
4.  you will find that anacron is running (and possibly
    updatedb is running, making your disk very busy)
    

Actual Results:  It behaves as described.

Expected Results:  anacron should never run if the anacron
service is disabled.

Additional info:

I first noticed the bug in RedHat 7.1.
It still exists on RedHat 8.0.

As a simple work-around, you can do this:

     mv /etc/anacrontab /etc/anacrontab.save

anacron starts and exits if the anacrontab
does not exist.

Comment 1 Bill Nottingham 2005-03-16 22:01:53 UTC
It's intentional to catch anything that should have been run during the suspend
period.

Comment 2 Stan Tazuma 2005-03-17 21:40:06 UTC
I don't agree.
If the anacron service was not enabled to run at all,
then nothing should have been run during the suspend period.

So nothing should be run after the resume.

Comment 3 Bill Nottingham 2005-03-17 21:46:55 UTC
Perhaps if anacron *and* cron were both off, maybe.

Comment 4 Red Hat Bugzilla 2007-02-05 18:59:57 UTC
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.

Comment 5 Zdenek Prikryl 2007-08-23 14:39:59 UTC
As wrote Bill Nottingham, It's intentional to catch anything that was missed
during the suspend period, more precisely what cron or/and anacron missed. So, I
think, if cron is running and anacron is not, then, after suspend and resume,
the anacron slould be executed. 

Maybe, if both are not running, then, after suspend and resume, the anacron
should not be executed.

Zdenek